--- title: "getCloudPostgresqlInstanceList" slug: "database-vpostgresql-getcloudpostgresqlinstancelist" tags: ["Cloud DB for PostgreSQL"] updated: 2026-09-17T10:05:48Z published: 2026-09-17T10:05:48Z canonical: "api.ncloud-docs.com/database-vpostgresql-getcloudpostgresqlinstancelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudPostgresqlInstanceList Available in VPC Get the list of Cloud DB for PostgreSQL instances. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vpostgresql/v2/getCloudPostgresqlInstanceList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) request headers](/docs/en/database-vpostgresql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for PostgreSQL server instance to view - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `zoneCode` | String | Optional | Filter by zone code - Check through [getZoneList](/docs/en/compute-vserver-server-common-getzonelist) | | `vpcNo` | String | Optional | Filter by VPC number - Check through [getCloudPostgresqlTargetVpcList](/docs/en/database-vpostgresql-getcloudpostgresqltargetvpclist) | | `subnetNo` | String | Optional | Filter by subnet number - Check through [getCloudPostgresqlTargetSubnetList](/docs/en/database-vpostgresql-getcloudpostgresqltargetsubnetlist) | | `cloudPostgresqlServiceName` | String | Optional | Filter by Cloud DB for PostgreSQL service name - Check through [getCloudPostgresqlInstanceList](/docs/en/database-vpostgresql-getcloudpostgresqlinstancelist) | | `cloudPostgresqlInstanceNoList.N` | List[String] | Optional | Cloud DB for PostgreSQL instance number list - Filter by Cloud DB for PostgreSQL instance number - Check through [getCloudPostgresqlInstanceList](/docs/en/database-vpostgresql-getcloudpostgresqlinstancelist) - ` cloudPostgresqlInstanceNoList.1=1234&cloudPostgresqlInstanceNoList.2=2345` | | `cloudPostgresqlServerName` | String | Optional | Filter by Cloud DB for PostgreSQL server name - Check through [getCloudPostgresqlInstanceList](/docs/en/database-vpostgresql-getcloudpostgresqlinstancelist) | | `cloudPostgresqlServerInstanceNoList.N` | List[String] | Optional | Cloud DB for PostgreSQL server instance number list - Filter by Cloud DB for PostgreSQL server instance number - Check through [getCloudPostgresqlInstanceList](/docs/en/database-vpostgresql-getcloudpostgresqlinstancelist) - `cloudPostgresqlServerInstanceNoList.1=1234&cloudPostgresqlServerInstanceNoList.2=2345` | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize` - 0 (minimum) | | `pageSize` | Integer | Conditional | Number of results to display on a page - Page the result values using `pageNo` and `pageSize` - Required when entering `pageNo` - 1 (minimum) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/getCloudPostgresqlInstanceList ?regionCode=KR' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudPostgresqlInstanceList](/docs/en/common-vapidatatype-cloudpostgresqlinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) response status codes](/docs/en/database-vpostgresql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudPostgresqlInstanceListResponse": { "totalRows": 1, "cloudPostgresqlInstanceList": [ { "cloudPostgresqlInstanceNo": "****925", "cloudPostgresqlServiceName": "test-****", "cloudPostgresqlInstanceStatusName": "running", "cloudPostgresqlInstanceStatus": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Created State" }, "cloudPostgresqlInstanceOperation": { "code": "NULL", "codeName": "CLOUD DATABASE(VPC) Null OP" }, "isHa": true, "isMultiZone": true, "cloudPostgresqlConfigList": [ "sample_config=sample_value" ], "cloudPostgresqlServerInstanceList": [ { "cloudPostgresqlServerInstanceNo": "****926", "cloudPostgresqlServerName": "test-****-001-523a", "cloudPostgresqlServerRole": { "code": "M", "codeName": "Primary" }, "cloudPostgresqlServerInstanceStatusName": "running", "cloudPostgresqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudPostgresqlServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****87", "subnetNo": "****49", "dataStorageSize": 10737418240, "cpuCount": 2, "memorySize": 8589934592 }, { "cloudPostgresqlServerInstanceNo": "****932", "cloudPostgresqlServerName": "test-****-002-523b", "cloudPostgresqlServerRole": { "code": "H", "codeName": "Secondary" }, "cloudPostgresqlServerInstanceStatusName": "running", "cloudPostgresqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudPostgresqlServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "****87", "subnetNo": "****51", "dataStorageSize": 10737418240, "cpuCount": 2, "memorySize": 8589934592 } ] } ], "requestId": "5092443c-****-****-****-7e916678d405", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 5092443c-****-****-****-7e916678d405 0 success 1 ****925 test-**** running CREAT CLOUD DATABASE(VPC) Created State NULL CLOUD DATABASE(VPC) Null OP true true sample_config=sample_value ****926 test-****-001-523a M Primary running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP KR KR-1 ****87 ****49 10737418240 2 8589934592 ****932 test-****-002-523b H Secondary running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP KR KR-2 ****87 ****51 10737418240 2 8589934592 ```